<?php 
$today = date("d");     // Finds today's date 
$m = date("m");         // Finds today's month
$y = date("Y");         // Finds today's year 
$no_of_days = date('t',mktime(0,0,0,$m,1,$y)); // This is to calculate number of days in a month
$date = getdate(mktime(0,0,0,$m,1,$y));
$mn = $this->month[$date['mon']]; // Month is calculated to display at the top of the calendar
$yn = $date['year'];                // Year is calculated to display at the top of the calendar
$j  = date('w',mktime(0,0,0,$m,1,$y)); // This will calculate the week day of the first day of the month
$adj='';
?>
<table cellspacing='0' cellpadding='0' align=center class='calendar'>
    <thead>
        <tr>
            <td colspan=7 style='width: 100%; text-align: center; height: 35px'>
                <h1 style='color: whitesmoke'><?= $mn." ".$yn ?></h1>
            </td>
        </tr>
        <tr>
            <td><?= $this->week[1] ?></td>
            <td><?= $this->week[2] ?></td>
            <td><?= $this->week[3] ?></td>
            <td><?= $this->week[4] ?></td>
            <td><?= $this->week[5] ?></td>
            <td><?= $this->week[6] ?></td>
            <td><?= $this->week[0] ?></td>
        </tr>
    </thead>
    <tbody>
        <tr>
<?php
//vykreslíme prázdná okénka (bez dat), k=1 pokud začínáme pondělím
for ($k = 2; $k <= $j; $k++){ // Adjustment of date starting
    $adj .="<td valign=top>&nbsp;</td>";
}

//začínáme vykreslovat okénka se dny
for ($i = 1 ; $i <= $no_of_days; $i++) {
    // This will display the date inside the calendar cell
    echo $adj."<td valign=top>";
    
    //nastavíme klíč pole, podle kterého budeme hledat koncert na dané datum
    if ($i < 10) {
        $key = $y."-".$m."-0".$i;
        $datestyle = "date1";
    } else {
        $key = $y."-".$m."-".$i;
        $datestyle = "date2";
    }
    
    //Tady obarvíme a zobraíme dny (číslovky), které již byli, které budou a který je
    if ($i < $today) {
        echo "<div class='$datestyle'>$i</div>";
    } else if ($i == $today) {
        echo "<div class='$datestyle' style='color: goldenrod'>$i</div>";
    } else {
        echo "<div class='$datestyle' style='color: brown'>$i</div>";
    }
    
    //pokud je den pondělí, posuneme popup trochu víc doprava, pokud je neděle, posuneme jej trochu doleva
    if ($j == 1) {
        $style = "style='position: absolute; left: -15px'";
    } else if ($j == 7) {
        $style = "style='position: absolute; left: -160px'";
    } else {
        $style = '';
    }

    //Pokud je daný den koncert, tak se klíč v poli dá najít podle data
    if (isset($this->concerts[$key])) {
        if ($this->concerts[$key]['band_id'] != '0') {
            echo "<a class='popup' href='/band/#".$this->concerts[$key]['band_id']."'><font class='concert'>".$this->concerts[$key]['title']."</font><span $style>".$this->concerts[$key]['text']."</span></a>";
        } else if (isset($this->concerts[$key]['www'])) {
            echo "<a class='popup' href='http://".$this->concerts[$key]['www']."' target='_blank'><font class='concert'>".$this->concerts[$key]['title']."</font><span $style>".$this->concerts[$key]['text']."</span></a>";
        } else {
            echo "<a class='popup' href='#'><font class='concert'>".$this->concerts[$key]['title']."</font><span $style>".$this->concerts[$key]['text']."</span></a>";
        }
    }
    echo "</td>";
    $adj='';
    //$j++ pokud začínáme nedělí
    if ($j == 7) {
        echo "</tr><tr>";
        $j=0;
    }
    $j++;
}?>
        </tr>
    </tbody>
</table>